#include <bits/stdc++.h>

using namespace std;

float a,b,c;
double p,k;
int res,br=0;
int laganoresenje(){
    for(int i=p;i<=k;i++){
        if(ceil(i/a)+ceil(i/b)+ceil(i/c)<=i){
            br++;
        }
    }
    return br;
}

int main () {
    cin>>a>>b>>c>>p>>k;
    //scanf("%d %d %d %d %d",&a,&b,&c,&p,&k);
    res=laganoresenje();
    cout<<res<<endl;
    //printf("%d \n",res);
    return 0;
}